--- old/usr/src/cmd/hwdata/usb.ids	Thu Sep  4 21:12:21 2014
+++ new/usr/src/cmd/hwdata/usb.ids	Thu Sep  4 21:12:21 2014
@@ -13649,18 +14324,23 @@
 	1d00  DataTraveler 2.0 1GB/4GB Flash Drive / Patriot Xporter 4GB Flash Drive
 	1e00  Flash Drive 2 GB [ICIDU 2 GB]
 	1e50  U3 Smart Drive
-	1f00  DataTraveler 2.0 4GB Flash Drive / Patriot Xporter 32GB (PEF32GUSB) Flash Drive
-	1f23  2Gb
+	1f00  Kingston DataTraveler / Patriot Xporter
+	1f23  PS2232 flash drive controller
 	2240  microSD card reader
 	3100  2/4 GB stick
 	3123  Verbatim STORE N GO 4GB
+	3600  flash drive (4GB, EMTEC)
 	3800  Rage XT Flash Drive
 	3e00  Flash Drive
+	5000  USB flash drive (32 GB SHARKOON Accelerate)
 	5100  Flash Drive
 1400  Axxion Group Corp.
 1402  Bowe Bell & Howell
 1403  Sitronix
 	0001  Digital Photo Frame
+1409  IDS Imaging Development Systems GmbH
+	1000  generic (firmware not loaded yet)
+	1485  uEye UI1485
 140e  Telechips, Inc.
 	b011  TCC780X-based player (USB Boot mode)
 	b021  TCC77X-based players (USB Boot mode)
@@ -13686,6 +14366,8 @@
 	0020  Sony Wireless SingStar
 	2000  Sony Playstation Eye
 1419  ABILITY ENTERPRISE CO., LTD.
+1421  Sensor Technology
+	0605  Sentech Camera
 1429  Vega Technologies Industrial (Austria) Co.
 142a  Thales E-Transactions
 	0003  Artema Hybrid
@@ -13712,6 +14394,7 @@
 	0007  Development board JTAG
 1446  X.J.GROUP
 	6a73  Stamps.com Model 510 5LB Scale
+	6a78  DYMO Endicia 75lb Digital Scale
 1453  Radio Shack
 	4026  26-183 Serial Cable
 1456  Extending Wire & Cable Co., Ltd.
@@ -13719,6 +14402,10 @@
 	5117  OpenMoko Neo1973 kernel usbnet (g_ether, CDC Ethernet) mode
 	5118  OpenMoko Neo1973 Debug board (V2+)
 	5119  OpenMoko Neo1973 u-boot cdc_acm serial port
+	511a  HXD8 u-boot usbtty CDC ACM Mode
+	511b  SMDK2440 u-boot usbtty CDC ACM mode
+	511c  SMDK2443 u-boot usbtty CDC ACM mode
+	511d  QT2410 u-boot usbtty CDC ACM mode
 	5120  OpenMoko Neo1973 u-boot usbtty generic serial
 	5121  OpenMoko Neo1973 kernel mass storage (g_storage) mode
 	5122  OpenMoko Neo1973 / Neo Freerunner kernel cdc_ether USB network
@@ -13750,6 +14437,7 @@
 	e02c  Infrared Receiver
 	e03a  eHome Infrared Receiver
 	e03c  eHome Infrared Receiver
+	e03d  2 Channel Audio
 	e03e  Infrared Receiver [IR605A/Q]
 147e  Upek
 	1000  Biometric Touchchip/Touchstrip Fingerprint Sensor
@@ -13771,6 +14459,7 @@
 1487  DSP Group, Ltd.
 148e  EVATRONIX SA
 148f  Ralink Technology, Corp.
+	1000  Motorola BC4 Bluetooth 3.0+HS Adapter
 	1706  RT2500USB Wireless Adapter
 	2070  RT2070 Wireless Adapter
 	2570  RT2570 Wireless Adapter
@@ -13787,11 +14476,16 @@
 	5370  RT5370 Wireless Adapter
 	5372  RT5372 Wireless Adapter
 	5572  RT5572 Wireless Adapter
+	7601  MT7601U Wireless Adapter
 	9020  RT2500USB Wireless Adapter
 	9021  RT2501USB Wireless Adapter
 1491  Futronic Technology Co. Ltd.
 	0020  FS81 Fingerprint Scanner Module
 1493  Suunto
+	0010  Bluebird [Ambit]
+	0019  Duck [Ambit2]
+	001a  Colibri [Ambit2 S]
+	001d  Greentit [Ambit2 R]
 1497  Panstrong Company Ltd.
 1498  Microtek International Inc.
 	a090  DVB-T Tuner
@@ -13832,11 +14526,12 @@
 14c8  Zytronic
 14cd  Super Top
 	121c  microSD card reader
+	121f  microSD CardReader SY-T18
 	123a  SD/MMC/RS-MMC Card Reader
 	125c  SD card reader
 	127b  SDXC Reader
 	6116  M6116 SATA Bridge
-	6600  USB 2.0 IDE DEVICE
+	6600  M110E PATA bridge
 	6700  Card Reader
 	6900  Card Reader
 	8123  SD MMC Reader
@@ -13844,8 +14539,11 @@
 14d8  JAMER INDUSTRIES CO., LTD.
 14dd  Raritan Computer, Inc.
 	1007  D2CIM-VUSB KVM connector
+14e0  WiNRADiO Communications
+	0501  WR-G528e 'CHEETAH'
 14e1  Dialogue Technology Corp.
 	5000  PenMount 5000 Touch Controller
+14e4  Broadcom Corp.
 14e5  SAIN Information & Communications Co., Ltd.
 14ea  Planex Communications
 	ab10  GW-US54GZ
@@ -13862,6 +14560,9 @@
 1500  Ellisys
 1501  Pine-Tum Enterprise Co., Ltd.
 1509  First International Computer, Inc.
+	0a01  LI-3100 Area Meter
+	0a02  LI-7000 CO2/H2O Gas Analyzer
+	0a03  C-DiGit Blot Scanner
 	9242  eHome Infrared Transceiver
 1513  medMobile
 	0444  medMobile
@@ -13875,6 +14576,8 @@
 1518  Cheshire Engineering Corp.
 	0001  HDReye High Dynamic Range Camera
 	0002  HDReye (before firmware loads)
+1519  Comneon
+	0020  HSIC Device
 1520  Bitwire Corp.
 1524  ENE Technology Inc
 	6680  UTS 6680
@@ -13884,8 +14587,12 @@
 1529  UBIQUAM Co., Ltd.
 	3100  CDMA 1xRTT USB Modem (U-100/105/200/300/520)
 152a  Thesycon Systemsoftware & Consulting GmbH
+	8400  INI DVS128
+	840d  INI DAViS
+	841a  INI DAViS FX3
 152d  JMicron Technology Corp. / JMicron USA Technology Corp.
 	0539  JMS539 SuperSpeed SATA II 3.0G Bridge
+	0770  Alienware Integrated Webcam
 	2329  JM20329 SATA Bridge
 	2335  ATA/ATAPI Bridge
 	2336  Hard Disk Drive
@@ -13902,15 +14609,21 @@
 	0003  Krait Mouse
 	0007  DeathAdder Mouse
 	0013  Orochi mouse
+	0015  Naga Mouse
 	0016  DeathAdder Mouse
 	0017  RZ01-0035 Laser Gaming Mouse [Imperator]
 	001c  RZ01-0036 Optical Gaming Mouse [Abyssus]
 	0024  Razer Mamba
+	002e  RZ01-0058 Gaming Mouse [Naga]
 	0036  RZ01-0075, Gaming Mouse [Naga Hex]
 	0101  Copperhead Mouse
 	0102  Tarantula Keyboard
 	0109  Lycosa Keyboard
+	0113  RZ07-0074 Gaming Keypad [Orbweaver]
 	0300  RZ06-0063 Motion Sensing Controllers [Hydra]
+153b  TerraTec Electronic GmbH
+	1181  Cinergy S2 PCIe Dual Port 1
+	1182  Cinergy S2 PCIe Dual Port 2
 1546  U-Blox AG
 1547  SG Intec Ltd & Co KG
 	1000  SG-Lock[U2]
@@ -13918,8 +14631,10 @@
 	8180  CARD STAR/medic2
 154b  PNY
 	0010  USB 2.0 Flash Drive
+	0048  Flash Drive
 	004d  8 GB Flash Drive
 	0057  32GB Micro Slide Attache Flash Drive
+	007a  8GB Classic Attache Flash Drive
 	6545  FD Device
 154d  ConnectCounty Holdings Berhad
 154e  D&M Holdings, Inc. (Denon/Marantz)
@@ -13960,11 +14675,13 @@
 	0820  SmartPocket Class Device
 1598  Kunshan Guoji Electronics Co., Ltd.
 15a2  Freescale Semiconductor, Inc.
+	0038  9S08JS Bootloader
 	003b  USB2CAN Application for ColdFire DEMOJM board
 	0042  OSBDM - Debug Port
 	004f  i.MX28 SystemOnChip in RecoveryMode
 	0052  i.MX50 SystemOnChip in RecoveryMode
-	0054  i.MX6Q SystemOnChip in RecoveryMode
+	0054  i.MX 6Dual/6Quad SystemOnChip in RecoveryMode
+	0061  i.MX 6Solo/6DualLite SystemOnChip in RecoveryMode
 15a4  Afatech Technologies, Inc.
 	1000  AF9015/AF9035 DVB-T stick
 	1001  AF9015/AF9035 DVB-T stick
@@ -14001,6 +14718,7 @@
 15c2  SoundGraph Inc.
 	0036  LC16M VFD Display/IR Receiver
 	0038  GD01 MX LCD Display/IR Receiver
+	0042  Antec Veris Multimedia Station E-Z IR Receiver
 	ffda  iMON PAD Remote Controller
 	ffdc  iMON PAD Remote Controller
 15c5  Advance Multimedia Internet Technology Inc. (AMIT)
@@ -14029,6 +14747,7 @@
 	0a41  MI-2540D [Optical mouse]
 	0a4c  USB+PS/2 Optical Mouse
 	0a4d  Optical Mouse
+	0a4f  Optical Mouse
 15dc  Hynix Semiconductor Inc.
 15e0  Seong Ji Industrial Co., Ltd.
 15e1  RSA
@@ -14035,6 +14754,7 @@
 	2007  RSA SecurID (R) Authenticator
 15e4  Numark
 	0024  Mixtrack
+	0140  ION VCR 2 PC / Video 2 PC
 15e8  SohoWare
 	9100  NUB100 Ethernet [pegasus]
 	9110  10/100 USB Ethernet
@@ -14289,6 +15009,9 @@
 	0726  Wi-Fi Wireless LAN Adapter
 	0740  802.11n Wireless LAN Card
 	0901  Voyager 205 ADSL Router
+	2000  naturaSign Pad Standard
+	2001  naturaSign Pad Standard
+	fe12  Bootloader
 1696  Hitachi Video and Information System, Inc.
 1697  VTec Test, Inc.
 16a5  Shenzhen Zhengerya Cable Co., Ltd.
@@ -14343,6 +15066,7 @@
 	05e4  Free shared USB VID/PID pair for MIDI devices
 	06b4  USB2LPT with 2 interfaces
 	06b5  USB2LPT with 3 interfaces (native, HID, printer)
+	0762  Osmocom SIMtrace
 	076b  OpenPCD 13.56MHz RFID Reader
 	076c  OpenPICC 13.56MHz RFID Simulator (native)
 	08ac  OpenBeacon USB stick
@@ -14368,14 +15092,20 @@
 	0504  RETRO Innovations ZoomFloppy
 	054b  GrauTec ReelBox OLED Display (external)
 	05be  EasyLogic Board
+	06f9  Gabotronics Xminilab
 	0753  Digistump DigiSpark
 	075c  AB-1.x UAC1 [Audio Widget]
 	075d  AB-1.x UAC2 [Audio Widget]
+	080a  S2E1 Interface
+	0870  Kaufmann Automotive GmbH, RKS+CAN Interface
+16d1  Suprema Inc.
+	0401  SUP-SFR400(A) BioMini Fingerprint Reader
 16d3  Frontline Test Equipment, Inc.
 16d5  AnyDATA Corporation
 	6202  CDMA/UMTS/GPRS modem
 	6501  CDMA 2000 1xRTT/EV-DO Modem
 	6502  CDMA/UMTS/GPRS modem
+	6603  ADU-890WH modem
 16d6  JABLOCOM s.r.o.
 	8000  GDP-04 desktop phone
 	8001  EYE-02
@@ -14408,6 +15138,10 @@
 170b  Swissonic
 	0011  MIDI-USB 1x1
 170d  Avnera
+1711  Leica Microsystems
+	3020  IC80 HD Camera
+1724  Meyer Instruments (MIS)
+	0115  PAXcam5
 1725  Vitesse Semiconductor
 1726  Axesstel, Inc.
 	1000  wireless modem
@@ -14437,7 +15171,11 @@
 	0077  WUSB54GC v3 802.11g Adapter [Ralink RT2070L]
 	0078  WUSB100 v2 RangePlus Wireless Network Adapter [Ralink RT3070]
 	0079  WUSB600N v2 Dual-Band Wireless-N Network Adapter [Ralink RT3572]
+173d  QSENN
+	0002  GP-K7000 keyboard
 1740  Senao
+	0100  EUB1200AC AC1200 DB Wireless Adapter [Realtek RTL8812AU]
+	0600  EUB600v1 802.11abgn Wireless Adapter [Ralink RT3572]
 	0605  LevelOne WUA-0605 N_Max Wireless USB Adapter
 	0615  LevelOne WUA-0615 N_Max Wireless USB Adapter
 	1000  NUB-350 802.11g Wireless Adapter [Intersil ISL3887]
@@ -14451,9 +15189,12 @@
 	9706  EUB9706 802.11n Wireless Adapter [Ralink RT3072]
 	9801  EUB9801 802.11abgn Wireless Adapter [Ralink RT3572]
 1743  General Atomics
+1748  MQP Electronics
+	0101  Packet-Master USB12
 174c  ASMedia Technology Inc.
 	5106  Transcend StoreJet 25M3
-	55aa  ASMedia 2105 SATA bridge
+	5136  ASM1053 SATA 6Gb/s bridge
+	55aa  ASM1051 SATA 3Gb/s bridge
 174f  Syntek
 	1105  SM-MS/Pro-MMC-XD Card Reader
 	110b  HP Webcam
@@ -14476,6 +15217,8 @@
 	aa11  Web Cam
 1753  GERTEC Telecomunicacoes Ltda.
 	c901  PPC900 Pinpad Terminal
+1756  ENENSYS Technologies
+	0006  DiviPitch
 1759  LucidPort Technology, Inc.
 1761  ASUSTek Computer, Inc. (wrong ID)
 	0b05  802.11n Network Adapter (wrong ID - swapped vendor and device)
@@ -14494,6 +15237,7 @@
 	0c30  Telldus TellStick
 	0c31  Telldus TellStick Duo
 	0c9f  USBtiny
+	1eef  OpenAPC SecuKey
 1782  Spreadtrum Communications Inc.
 1784  TopSeed Technology Corp.
 	0001  eHome Infrared Transceiver
@@ -14517,10 +15261,15 @@
 	0002  Q1U dynamic microphone
 	0100  C03U multi-pattern microphone
 	0101  UB1 boundary microphone
+	0120  Meteorite condenser microphone
 	0200  StudioDock monitors (internal hub)
 	0201  StudioDock monitors (audio)
+	0210  StudioGT monitors
 	0301  Q2U handheld microphone with XLR
 	0302  GoMic compact condenser microphone
+	0303  C01U Pro condenser microphone
+	0304  Q2U handheld mic with XLR
+	0305  GoMic compact condenser mic
 	0310  Meteor condenser microphone
 17a4  Concept2
 	0001  Performance Monitor 3
@@ -14532,6 +15281,8 @@
 	0005  M-Bus Master MultiPort 250D
 17b3  Grey Innovation
 	0004  Linux-USB Midi Gadget
+17b5  Lunatone
+	0010  MFT Sensor
 17ba  SAURIS GmbH
 	0001  SAU510-USB [no firmware]
 	0510  SAU510-USB and SAU510-USB plus JTAG Emulators
@@ -14559,6 +15310,7 @@
 17d3  Korea Techtron Co., Ltd.
 17e9  DisplayLink
 	0051  USB VGA Adaptor
+	030b  HP T100
 	0377  Plugable UD-160-A (M)
 	0378  Plugable UGA-2K-A
 	0379  Plugable UGA-125
@@ -14566,12 +15318,17 @@
 	037b  Plugable USB-VGA-165
 	037c  Plugable DC-125
 	037d  Plugable USB2-HDMI-165
+	410a  HDMI Adapter
 	430a  HP Port Replicator (Composite Device)
+	4312  S2340T
 17eb  Cornice, Inc.
 17ef  Lenovo
+	1000  Hub
 	1003  Integrated Smart Card Reader
 	1004  Integrated Webcam
+	1008  Hub
 	100a  ThinkPad Mini Dock Plus Series 3
+	304b  AX88179 Gigabit Ethernet [ThinkPad OneLink GigaLAN]
 	3815  ChipsBnk 2GB USB Stick
 	4802  Lenovo Vc0323+MI1310_SOC Camera
 	4807  UVC Camera
@@ -14585,11 +15342,15 @@
 	4813  Integrated Webcam [R5U877]
 	4814  Integrated Webcam [R5U877]
 	4815  Integrated Webcam [R5U877]
+	4816  Integrated Webcam
 	481c  Integrated Webcam
 	481d  Integrated Webcam
+	6004  ISD-V4 Tablet Pen
 	6007  Smartcard Keyboard
 	6009  ThinkPad Keyboard with TrackPoint
 	6014  Mini Wireless Keyboard N5901
+	6025  ThinkPad Travel Mouse
+	7203  Ethernet adapter [U2L 100P-Y1]
 	7423  IdeaPad A1 Tablet
 	7435  A789 (Mass Storage mode, with debug)
 	743a  A789 (Mass Storage mode)
@@ -14632,6 +15393,7 @@
 1873  Navilock
 	ee93  EasyLogger
 187c  Alienware Corporation
+	0511  AlienFX Mobile lighting
 	0600  Dual Compatible Game Pad
 187f  Siano Mobile Silicon
 	0010  Stallar Board
@@ -14657,7 +15419,7 @@
 	0227  Pocket Hard Drive
 	022b  Portable Hard Drive (Store'n'Go)
 	0237  Portable Harddrive (500 GB)
-	0302  32GB Flash Drive
+	0302  Flash Drive
 18b1  Petalynx
 	0037  Maxter Remote Control
 18b4  e3C Technologies
@@ -14686,15 +15448,17 @@
 	4e22  Nexus S (debug)
 	4e24  Nexus S (tether)
 	4e40  Nexus 7 (fastboot)
-	4e41  ASUS Nexus 7 (MTP modus)
+	4e41  Nexus 7 (MTP)
 	4e42  Nexus 7 (debug)
-	4e43  ASUS Nexus 7 (PTP modus)
-	4ee1  Nexus 4
+	4e43  Nexus 7 (PTP)
+	4ee1  Nexus 4 / 10
 	4ee2  Nexus 4 (debug)
 	4ee3  Nexus 4 (tether)
 	4ee4  Nexus 4 (debug + tether)
 	7102  Toshiba Thrive tablet
 	b004  Pandigital / B&N Novel 9" tablet
+	d109  LG G2x MTP
+	d10a  LG G2x MTP (debug)
 18d5  Starline International Group Limited
 18d9  Kaba
 	01a0  B-Net 91 07
@@ -14725,10 +15489,13 @@
 190d  Motorola GSG
 1914  Alco Digital Devices Limited
 1915  Nordic Semiconductor ASA
+	000c  Wireless Desktop nRF24L01 CX-1766
 	2233  Linksys WUSB11 v2.8 802.11b Adapter [Atmel AT76C505]
 	2234  Linksys WUSB54G v1 OEM 802.11g Adapter [Intersil ISL3886]
 	2235  Linksys WUSB54GP v1 OEM 802.11g Adapter [Intersil ISL3886]
 	2236  Linksys WUSB11 v3.0 802.11b Adapter [Intersil PRISM 3]
+1923  FitLinxx
+	0002  Personal SyncPoint
 1926  NextWindow
 	0003  1900 HID Touchscreen
 	0006  1950 HID Touchscreen
@@ -14758,6 +15525,7 @@
 	0085  1950 HID Touchscreen
 	0086  1950 HID Touchscreen
 	0087  1950 HID Touchscreen
+	0dc2  HID Touchscreen
 192f  Avago Technologies, Pte.
 	0000  Mouse
 	0416  ADNS-5700 Optical Mouse Controller (3-button)
@@ -14789,6 +15557,7 @@
 	0301  AudioBox
 1951  Hyperstone AG
 1953  Ironkey Inc.
+	0202  S200 2GB Rev. 1
 1954  Radiient Technologies
 195d  Itron Technology iONE
 	7002  Libra-Q11 IR remote
@@ -14868,6 +15637,8 @@
 	2000  MF627/MF628/MF628+/MF636+ HSDPA/HSUPA
 	fff2  Gobi Wireless Modem (QDL mode)
 	fff3  Gobi Wireless Modem
+19db  KFI Printers
+	02f1  NAUT324C
 19e1  WeiDuan Electronic Accessory (S.Z.) Co., Ltd.
 19e8  Industrial Technology Research Institute
 19ef  Pak Heng Technology (Shenzhen) Co., Ltd.
@@ -14878,6 +15649,7 @@
 19ff  Dynex
 	0102  1.3MP Webcam
 	0201  Rocketfish Wireless 2.4G Laser Mouse
+	0238  DX-WRM1401 Mouse
 1a08  Bellwood International, Inc.
 1a0a  USB-IF non-workshop
 	badd  USB OTG Compliance test device
@@ -14895,7 +15667,7 @@
 	0802  Gamepad
 1a36  Biwin Technology Ltd.
 1a40  Terminus Technology Inc.
-	0101  4-Port HUB
+	0101  Hub
 	0201  FE 2.1 7-port Hub
 1a41  Action Electronics Co., Ltd.
 1a44  VASCO Data Security International
@@ -14912,6 +15684,8 @@
 1a72  Physik Instrumente
 	1008  E-861 PiezoWalk NEXACT Controller
 1a79  Bayer Health Care LLC
+	6002  Contour
+	7410  Contour Next
 1a7b  Lumberg Connect  GmbH & Co. KG
 1a7c  Evoluent
 	0068  VerticalMouse 3
@@ -14944,6 +15718,8 @@
 1ab1  Rigol Technologies
 	0588  DS1000 SERIES
 1acb  Salcomp Plc
+1acc  Midiplus Co, Ltd.
+	0103  AudioLink plus 4x4 2.9.28
 1ad1  Desay Wire Co., Ltd.
 1ad4  APS
 	0002  KM290-HRS
@@ -15086,9 +15862,34 @@
 1b47  Energizer Holdings, Inc.
 	0001  CHUSB Duo Charger (NiMH AA/AAA USB smart charger)
 1b48  Plastron Precision Co., Ltd.
+1b52  ARH Inc.
+	2101  FXMC Neural Network Controller
+	2102  FXMC Neural Network Controller V2
+	2103  FXMC Neural Network Controller V3
+	4101  Passport Reader CLR device
+	4201  Passport Reader PRM device
+	4202  Passport Reader PRM extension device
+	4203  Passport Reader PRM DSP device
+	4204  Passport Reader PRMC device
+	4205  Passport Reader CSHR device
+	4206  Passport Reader PRMC V2 device
+	4301  Passport Reader MRZ device
+	4302  Passport Reader MRZ DSP device
+	4303  Passport Reader CSLR device
+	4401  Card Reader
+	4501  Passport Reader RFID device
+	4502  Passport Reader RFID AIG device
+	6101  Neural Network Controller
+	6202  Fingerprint Reader device
+	6203  Fingerprint Scanner device
+	8101  Camera V1
+	8102  Recovery / Camera V2
+	8103  Camera V3
 1b59  K.S. Terminals Inc.
 1b5a  Chao Zhou Kai Yuan Electric Co., Ltd.
 1b65  The Hong Kong Standards and Testing Centre Ltd.
+1b71  Fushicai
+	3002  USBTV007 Video Grabber [EasyCAP]
 1b72  ATERGI TECHNOLOGY CO., LTD.
 1b73  Fresco Logic
 	1000  xHC1 Controller
@@ -15137,16 +15938,21 @@
 1bae  Vuzix Corporation
 	0002  VR920 Immersive Eyewear
 1bbb  T & A Mobile Phones
+	011e  Alcatel One Touch L100V / Telekom Speedstick LTE II
+	f017  Alcatel One Touch L100V / Telekom Speedstick LTE II
 1bc4  Ford Motor Co.
 1bc5  AVIXE Technology (China) Ltd.
-1bc7  Telit
+1bc7  Telit Wireless Solutions
 	0020  HE863
 	0021  HE910
+	0023  HE910-D ECM
 	1003  UC864-E
 	1004  UC864-G
 	1005  CC864-DUAL
 	1006  CC864-SINGLE
 	1010  DE910-DUAL
+	1011  CE910-DUAL
+	1200  LE920
 1bce  Contac Cable Industrial Limited
 1bcf  Sunplus Innovation Technology Inc.
 	0007  Optical Mouse
@@ -15156,6 +15962,7 @@
 	0c31  SPIF30x Serial-ATA bridge
 	2885  ASUS Webcam
 	2888  HP Universal Camera
+	2b83  Laptop Integrated Webcam FHD
 1bd0  Hangzhou Riyue Electronic Co., Ltd.
 1bd5  BG Systems, Inc.
 1bde  P-TWO INDUSTRIES, INC.
@@ -15217,7 +16024,7 @@
 1c7a  LighTuning Technology Inc.
 	0801  Fingerprint Reader
 1c7b  LUXSHARE PRECISION INDUSTRY (SHENZHEN) CO., LTD.
-1c83  Schomäcker GmbH
+1c83  Schomaecker GmbH
 	0001  RS150 V2
 1c87  2N TELEKOMUNIKACE a.s.
 1c88  Somagic, Inc.
@@ -15241,6 +16048,7 @@
 1cbe  Luminary Micro Inc.
 	00fd  In-Circuit Debug Interface
 	00ff  Stellaris ROM DFU Bootloader
+	0166  CANAL USB2CAN
 1cbf  FORTAT SKYMARK INDUSTRIAL COMPANY
 1cc0  PlantSense
 1cca  NextWave Broadband Inc.
@@ -15296,6 +16104,8 @@
 	000a  Dream Cheeky Mailbox Friends Alert
 	000d  Dream Cheeky Big Red Button
 	0013  Dream Cheeky LED Message Board
+1d45  Touch
+	1d45  Foxlink Optical touch sensor
 1d4d  PEGATRON CORPORATION
 	0002  Ralink RT2770/2720 802.11b/g/n Wireless LAN Mini-USB Device
 	000c  Ralink RT3070 802.11b/g/n Wireless Lan USB Device
@@ -15303,6 +16113,7 @@
 1d50  OpenMoko, Inc.
 	5119  GTA01/GTA02 U-Boot Bootloader
 	602b  FPGALink
+	6053  Darkgame Controller
 1d57  Xenta
 	0005  Wireless Receiver (Keyboard and Mouse)
 	0006  Wireless Receiver (RC Laser Pointer)
@@ -15325,6 +16136,8 @@
 	0104  Multifunction Composite Gadget
 	0105  FunctionFS Gadget
 	0200  Qemu Audio Device
+1d90  Citizen
+	201e  PPU-700
 1de1  Actions Microelectronics Co.
 	1101  Generic Display Device (Mass storage mode)
 	c101  Generic Display Device
@@ -15368,6 +16181,7 @@
 	2030  2030 USB Keyboard
 1e68  TrekStor GmbH & Co. KG
 	001b  DataStation maxi g.u
+	0050  DataStation maxi light
 1e71  NZXT
 	0001  Avatar Optical Mouse
 1e74  Coby Electronics Corporation
@@ -15396,12 +16210,17 @@
 1ee8  ONDA COMMUNICATION S.p.a.
 	0014  MT833UP
 1ef6  EADS Deutschland GmbH
+	2233  Cassidian NH90 STTE
 	5064  FDR Interface
+	5523  Cassidian SSDC Adapter II
+	5545  Cassidian SSDC Adapter III
 	5648  RIU CSMU/BSD
 	564a  Cassidian RIU CSMU/BSD Simulator
 1f28  Cal-Comp
 	0020  CDMA USB Modem A600
 	0021  CD INSTALLER USB Device
+1f3a  Onda (unverified)
+	efe8  V972 tablet in flashing mode
 1f44  The Neat Company
 	0001  NM-1000 scanner
 1f48  H-TRONIC GmbH
@@ -15575,6 +16394,8 @@
 	c010  Windham
 2047  Texas Instruments
 	0200  MSP430 USB HID Bootstrap Loader
+	0855  Invensense Embedded MotionApp HID Sensor
+	0964  Inventio Software MSP430
 2080  Barnes & Noble
 	0001  nook
 	0002  NOOKcolor
@@ -15608,6 +16429,9 @@
 	648b  TEW-648UBM 802.11n 150Mbps Micro Wireless N Adapter [Realtek RTL8188CUS]
 2101  ActionStar
 	0201  SIIG 4-to-2 Printer Switch
+2149  Advanced Silicon S.A.
+	211b  Touchscreen Controller
+	2703  TS58xxA/TC56xxA [CoolTouch]
 2162  Creative (?)
 	2031  Network Blaster Wireless Adapter
 	500c  DE5771 Modem Blaster
@@ -15626,10 +16450,17 @@
 	4050  AirStick joystick
 2227  SAMWOO Enterprise
 	3105  SKYDATA SKD-U100
+2232  Silicon Motion
+	1005  WebCam SCB-0385N
+	1028  WebCam SC-03FFL11939N
+	1029  WebCam SC-13HDL11939N
+	1037  WebCam SC-03FFM12339N
 2233  RadioShack Corporation
 	6323  USB Electronic Scale
 2237  Kobo Inc.
 	4161  eReader White
+228d  8D Technologies inc.
+	0001  Terminal Bike Key Reader
 22a6  Pie Digital, Inc.
 	ffff  PieKey "beta" 4GB model 4E4F41482E4F5247 (SM3251Q BB)
 22b8  Motorola PCS
@@ -15791,8 +16622,17 @@
 	00dc  aes220 FPGA Mini-Module
 2478  Tripp-Lite
 	2008  U209-000-R Serial Port
+249c  M2Tech s.r.l.
 2632  TwinMOS
 	3209  7-in-1 Card Reader
+2639  Xsens
+	0001  MTi-10 IMU
+	0002  MTi-20 VRU
+	0003  MTi-30 AHRS
+	0011  MTi-100 IMU
+	0012  MTi-200 VRU
+	0013  MTi-300 AHRS
+	0017  MTi-G-700 GPS INS
 2650  Electronics For Imaging, Inc. [hex]
 2659  Sundtek
 	1101  TNT DVB-T/DAB/DAB+/FM
@@ -15809,6 +16649,8 @@
 	1211  MediaTV Pro III (US)
 	1212  MediaTV Pro III MiniPCIe (EU)
 	1213  MediaTV Pro III MiniPCIe (US)
+2676  Basler AG
+	ba02  ace
 2730  Citizen
 	200f  CT-S310 Label printer
 2735  DigitalWay
@@ -16483,6 +17325,7 @@
 		02  Wire Adapter Multifunction Peripheral
 	03  ?
 		01  Cable Based Association
+	05  USB3 Vision
 C fe  Application Specific Interface
 	01  Device Firmware Update
 	02  IRDA Bridge
